@echo off
rem Simplistic script to execute aap.

if NOT .%PYTHON%==. goto havepython
set PYTHON=python
:havepython

if .%OS%==.Windows_NT goto ntaction

rem collect the arguments in AAPARGS for Win95
set AAPARGS=
:loopstart
if .%1==. goto loopend
set AAPARGS=%AAPARGS% %1
shift
goto loopstart

:loopend
%PYTHON% Main.py %AAPARGS%
goto eof

:ntaction
rem for WinNT we can use %*
%PYTHON% Main.py %*

:eof
set AAPARGS=
